Bug 600810 - Philips Webcam SPC530NC USB Microphone mute
Philips Webcam SPC530NC USB Microphone mute
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 02:08 EDT by Rudolf
Modified: 2011-06-27 13:37 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf 2010-06-06 02:08:10 EDT
Description of problem:
The UVC webcam Philips SPC530NC's embedded microphone does not work.
The kernel recognize it correctly as USB device and also Gnome Audio allows to
select it as input microphone, but audio recording fails and mic level remains static. Video works without any issues.

Version-Release number of selected component (if applicable):
Fedora 13 x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Plug the webcam into the USB,
2. Try recording audio,
3. No sound is recorded.

Actual results:
The embedded USB microphone stays mute.

Expected results:
The embedded webcam microphone should work.

Additional info:
Trying to record with:
arecord -Dplughw:1 -fdat -vv foo.wav
Returns a 44 bytes file without any audio and no error, as bellow.

$ arecord -Dplughw:1 -fdat -vv foo.wav
Recording WAVE 'foo.wav' : Signed 16 bit Little Endian, Rate 48000 Hz, Stereo
Plug PCM: Route conversion PCM (sformat=S16_LE)
  Transformation table:
    0 <- 0
    1 <- 0
Its setup is:
  stream       : CAPTURE
  access       : RW_INTERLEAVED
  format       : S16_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 16
  buffer_size  : 24000
  period_size  : 6000
  period_time  : 125000
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 6000
  period_event : 0
  start_threshold  : 1
  stop_threshold   : 24000
  silence_threshold: 0
  silence_size : 0
  boundary     : 6755399441055744000
Slave: Hardware PCM card 1 'USB Video Camera' device 0 subdevice 0
Its setup is:
  stream       : CAPTURE
  access       : MMAP_INTERLEAVED
  format       : S16_LE
  subformat    : STD
  channels     : 1
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 16
  buffer_size  : 24000
  period_size  : 6000
  period_time  : 125000
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 6000
  period_event : 0
  start_threshold  : 1
  stop_threshold   : 24000
  silence_threshold: 0
  silence_size : 0
  boundary     : 6755399441055744000
  appl_ptr     : 0
  hw_ptr       : 0


dmesg output after plugging the webcam:

usb 1-3: new high speed USB device using ehci_hcd and address 11
usb 1-3: New USB device found, idVendor=0471, idProduct=2034
usb 1-3: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 1-3: Product: USB Video Camera
uvcvideo: Found UVC 1.00 device USB Video Camera (0471:2034)
input: USB Video Camera as /devices/pci0000:00/0000:00:1a.7/usb1/1-3/1-3:1.0/input/input19
Comment 1 Andre Robatino 2010-06-06 06:34:29 EDT
I have the same problem on x86_64 F13 with a Creative Live! Cam Optia Pro VF0380 webcam.  On rare occasions the microphone works, then upon rebooting it fails to work again.  However, it is detected consistently.  Alsamixer says "This sound device does not have any playback controls.".

usb 1-4: new high speed USB device using ehci_hcd and address 5
usb 1-4: New USB device found, idVendor=041e, idProduct=4065
usb 1-4: New USB device strings: Mfr=2, Product=1, SerialNumber=3
usb 1-4: Product: VF0380 Live! Cam Optia Pro
usb 1-4: Manufacturer: Creative Technology Ltd
usb 1-4: SerialNumber: 080328_A_05027
uvcvideo: Found UVC 1.00 device VF0380 Live! Cam Optia Pro (041e:4065)
input: VF0380 Live! Cam Optia Pro as /devices/pci0000:00/0000:00:02.1/usb1/1-4/1-4:1.0/input/input7
ALSA sound/usb/usbaudio.c:1297: 5:3:1: cannot get freq at ep 0x84
ALSA sound/usb/usbaudio.c:1297: 5:3:1: cannot get freq at ep 0x84
ALSA sound/usb/usbaudio.c:1297: 5:3:1: cannot get freq at ep 0x84
Comment 2 Andre Robatino 2010-06-06 06:35:26 EDT
Should have added that the same problem existed with x86_64 F12.  Both F12 and F13 were clean installs.
Comment 3 Lennart Poettering 2010-08-02 18:27:11 EDT
ALSA sound/usb/usbaudio.c:1297: 5:3:1: cannot get freq at ep 0x84
ALSA sound/usb/usbaudio.c:1297: 5:3:1: cannot get freq at ep 0x84
ALSA sound/usb/usbaudio.c:1297: 5:3:1: cannot get freq at ep 0x84    

IIUTC this points to some prob in the USB driver. Reassigning to kernel.
Comment 4 Bug Zapper 2011-06-02 07:53:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 13:37:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.